Skip to main content
POST
Label or unlabel a chat

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

chat_jid
string
required

Chat JID (e.g., phone@s.whatsapp.net for individual or groupid@g.us for group)

Body

application/json
label_id
string
required

Unique identifier for the label

Example:

"label_123"

label_name
string
required

Display name for the label

Example:

"Important"

labeled
boolean
required

Whether to apply (true) or remove (false) the label

Example:

true

Response

OK

code
string
Example:

"SUCCESS"

message
string
Example:

"Chat labeled successfully with label 'Important'"

results
object